[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# IndexQWord

Return the position of a QWord in a memory range

## Declaration

Source position: systemh.inc line 546

`function IndexQWord(`
`const buf;`
`len: SizeInt;`
`b: QWord`
`):SizeInt;`

## Description

IndexQWord checks the first len qwords starting at Buf, and returns the position (zero-based) of b. If b does not appear in the first len qwords, then -1 is returned.

Note that the search is done on QWord boundaries, but that the address of buf need not be on a QWord boundary.

## Errors

No check is done to see whether the indicated memory range is valid. If it is not, a run-error or exception may be triggered.

## See also

IndexDWord |  | Search for a DWord value in a memory range.

Documentation generated on: Feb 26 2014